summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-14 17:49:18 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-14 17:49:18 +0000
commita7e434df6ff0d2d385f57558ef966514b7f7dcc4 (patch)
treedaad91cc49b18030b91c36d859115fdf85987acf /dev-python
parent495e4ea8e39563b451328a6fc4b855be257fb82b (diff)
downloadbaldeagleos-repo-a7e434df6ff0d2d385f57558ef966514b7f7dcc4.tar.gz
baldeagleos-repo-a7e434df6ff0d2d385f57558ef966514b7f7dcc4.tar.xz
baldeagleos-repo-a7e434df6ff0d2d385f57558ef966514b7f7dcc4.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/autobahn/Manifest1
-rw-r--r--dev-python/autobahn/autobahn-23.1.2.ebuild4
-rw-r--r--dev-python/autobahn/autobahn-23.6.1.ebuild4
-rw-r--r--dev-python/autobahn/autobahn-23.6.2.ebuild116
-rw-r--r--dev-python/contourpy/contourpy-1.1.0.ebuild2
-rw-r--r--dev-python/django-cors-headers/Manifest1
-rw-r--r--dev-python/django-cors-headers/django-cors-headers-4.1.0.ebuild34
-rw-r--r--dev-python/django-rest-framework-guardian2/Manifest1
-rw-r--r--dev-python/django-rest-framework-guardian2/django-rest-framework-guardian2-0.5.0.ebuild (renamed from dev-python/djangorestframework-guardian2/djangorestframework-guardian2-0.5.0.ebuild)0
-rw-r--r--dev-python/django-rest-framework-guardian2/metadata.xml (renamed from dev-python/djangorestframework-guardian2/metadata.xml)0
-rw-r--r--dev-python/djangorestframework-guardian2/Manifest1
-rw-r--r--dev-python/flower/flower-1.2.0.ebuild2
-rw-r--r--dev-python/gssapi/gssapi-1.8.2-r1.ebuild (renamed from dev-python/gssapi/gssapi-1.8.2.ebuild)7
-rw-r--r--dev-python/pyspnego/Manifest1
-rw-r--r--dev-python/pyspnego/pyspnego-0.9.1.ebuild39
-rw-r--r--dev-python/semver/Manifest1
-rw-r--r--dev-python/semver/semver-3.0.1.ebuild25
-rw-r--r--dev-python/service-identity/Manifest2
-rw-r--r--dev-python/service-identity/metadata.xml (renamed from dev-python/service_identity/metadata.xml)0
-rw-r--r--dev-python/service-identity/service-identity-21.1.0-r1.ebuild (renamed from dev-python/service_identity/service_identity-21.1.0-r1.ebuild)5
-rw-r--r--dev-python/service-identity/service-identity-23.1.0.ebuild33
-rw-r--r--dev-python/service_identity/Manifest1
-rw-r--r--dev-python/sphinx_lv2_theme/sphinx_lv2_theme-1.4.0.ebuild2
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.9.1.ebuild119
-rw-r--r--dev-python/trustme/trustme-1.0.0.ebuild2
-rw-r--r--dev-python/twisted/twisted-22.10.0-r1.ebuild4
-rw-r--r--dev-python/twisted/twisted-22.10.0-r3.ebuild4
-rw-r--r--dev-python/wurlitzer/wurlitzer-3.0.3.ebuild2
-rw-r--r--dev-python/xmlschema/Manifest1
-rw-r--r--dev-python/xmlschema/xmlschema-2.3.1.ebuild37
31 files changed, 433 insertions, 19 deletions
diff --git a/dev-python/autobahn/Manifest b/dev-python/autobahn/Manifest
index 77aef7d12b0c..0a682d2810e9 100644
--- a/dev-python/autobahn/Manifest
+++ b/dev-python/autobahn/Manifest
@@ -1,2 +1,3 @@
DIST autobahn-23.1.2.tar.gz 480717 BLAKE2B cc92dc114ef0931be72fa9bf06cfb5646d8dac7a8da3ed3b8d28c4dad67c47465ba3fb03008b70b81ad36210ee014a148f69e5f13b74ef4993b344f9e6887374 SHA512 cd69d901ad7ec8c5f995ca15d803d1de1985294b48707bc0edabfc37733295c3bf9fd7965f930e8b4fa1c7c12c6e02dcbf2ff169edf464eadc774ae6f9185175
DIST autobahn-23.6.1.tar.gz 476460 BLAKE2B ee7cd664ac578f61376936560f65e45a3c46c1fdcb042932a1457f5c66bd6748c882bfe5e20a84bf7feb4bce8fbad720867ff5828fc4904e891c5a1e306313c5 SHA512 d621d747494e66b9ab503519b16ca38046c7e166cd6e7883bcac219c63700ee0795a76d836ea3d8a2b3d983a4937464cbb716ccbcd40f3f54f20f089d25dc803
+DIST autobahn-23.6.2.tar.gz 480814 BLAKE2B fb4a2e8510a51e2e70289d98eb54b3b06aba6e011eb8ad4ac2fb6e706d7be313f60a785a8366ff47500a6ad58f5645eedbeb4c831087ab531d8650129ec08c45 SHA512 5935203277d17aab3f80e6edf700ff173fe7e23622b9d2617f91e080f56b078f947f907289f008b5eb21b1346142274616baad4a36629f49dafe409d6fdb931a
diff --git a/dev-python/autobahn/autobahn-23.1.2.ebuild b/dev-python/autobahn/autobahn-23.1.2.ebuild
index 1b6ec1663032..3d9edab5009e 100644
--- a/dev-python/autobahn/autobahn-23.1.2.ebuild
+++ b/dev-python/autobahn/autobahn-23.1.2.ebuild
@@ -44,7 +44,7 @@ BDEPEND="
>=dev-python/py-ubjson-0.16.1[${PYTHON_USEDEP}]
>=dev-python/flatbuffers-22.12.06[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-20.0.1[${PYTHON_USEDEP}]
- >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
>=dev-python/pynacl-1.4.0[${PYTHON_USEDEP}]
>=dev-python/pytrie-0.4[${PYTHON_USEDEP}]
>=dev-python/cffi-1.14.5[${PYTHON_USEDEP}]
@@ -103,7 +103,7 @@ pkg_postinst() {
optfeature "accelerated WAMP serialization support" \
"dev-python/msgpack dev-python/ujson dev-python/cbor2 dev-python/flatbuffers dev-python/py-ubjson"
optfeature "TLS transport encryption" \
- "dev-python/pyopenssl dev-python/pynacl dev-python/pytrie dev-python/qrcode dev-python/service_identity"
+ "dev-python/pyopenssl dev-python/pynacl dev-python/pytrie dev-python/qrcode dev-python/service-identity"
optfeature "WAMP-SCRAM authentication" \
"dev-python/cffi dev-python/argon2-cffi dev-python/passlib"
optfeature "native SIMD acceleration" "dev-python/cffi"
diff --git a/dev-python/autobahn/autobahn-23.6.1.ebuild b/dev-python/autobahn/autobahn-23.6.1.ebuild
index 8d0bc941266d..0690e76473c3 100644
--- a/dev-python/autobahn/autobahn-23.6.1.ebuild
+++ b/dev-python/autobahn/autobahn-23.6.1.ebuild
@@ -44,7 +44,7 @@ BDEPEND="
>=dev-python/py-ubjson-0.16.1[${PYTHON_USEDEP}]
>=dev-python/flatbuffers-22.12.06[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-20.0.1[${PYTHON_USEDEP}]
- >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
>=dev-python/pynacl-1.4.0[${PYTHON_USEDEP}]
>=dev-python/pytrie-0.4[${PYTHON_USEDEP}]
>=dev-python/cffi-1.14.5[${PYTHON_USEDEP}]
@@ -103,7 +103,7 @@ pkg_postinst() {
optfeature "accelerated WAMP serialization support" \
"dev-python/msgpack dev-python/ujson dev-python/cbor2 dev-python/flatbuffers dev-python/py-ubjson"
optfeature "TLS transport encryption" \
- "dev-python/pyopenssl dev-python/pynacl dev-python/pytrie dev-python/qrcode dev-python/service_identity"
+ "dev-python/pyopenssl dev-python/pynacl dev-python/pytrie dev-python/qrcode dev-python/service-identity"
optfeature "WAMP-SCRAM authentication" \
"dev-python/cffi dev-python/argon2-cffi dev-python/passlib"
optfeature "native SIMD acceleration" "dev-python/cffi"
diff --git a/dev-python/autobahn/autobahn-23.6.2.ebuild b/dev-python/autobahn/autobahn-23.6.2.ebuild
new file mode 100644
index 000000000000..0690e76473c3
--- /dev/null
+++ b/dev-python/autobahn/autobahn-23.6.2.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="WebSocket and WAMP for Twisted and Asyncio"
+HOMEPAGE="
+ https://crossbar.io/autobahn/
+ https://github.com/crossbario/autobahn-python/
+ https://pypi.org/project/autobahn/
+"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~sparc ~x86"
+IUSE="test xbr"
+RESTRICT="!test? ( test )"
+
+# The order of deps is based on their appearance in setup.py
+# All extra deps should be included in test and in optfeature
+RDEPEND="
+ >=dev-python/zope-interface-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/twisted-20.3.0[${PYTHON_USEDEP}]
+ >=dev-python/attrs-20.3.0[${PYTHON_USEDEP}]
+ >=dev-python/txaio-21.2.1[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/hyperlink-21.0.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ >=dev-python/wsaccel-0.6.3[${PYTHON_USEDEP}]
+ >=dev-python/python-snappy-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-1.0.2[${PYTHON_USEDEP}]
+ >=dev-python/ujson-4.0.2[${PYTHON_USEDEP}]
+ >=dev-python/cbor2-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/py-ubjson-0.16.1[${PYTHON_USEDEP}]
+ >=dev-python/flatbuffers-22.12.06[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-20.0.1[${PYTHON_USEDEP}]
+ >=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytrie-0.4[${PYTHON_USEDEP}]
+ >=dev-python/cffi-1.14.5[${PYTHON_USEDEP}]
+ >=dev-python/argon2-cffi-20.1.0[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.7.4[${PYTHON_USEDEP}]
+
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ )
+"
+
+python_prepare_all() {
+ if use xbr ; then
+ eerror "***************"
+ eerror "Required xbr dependencies are incomplete in Gentoo."
+ eerror "So this functionality will not yet work"
+ eerror "Please file a bug if this feature is needed"
+ eerror "***************"
+ else
+ # remove xbr components
+ export AUTOBAHN_STRIP_XBR="True"
+ fi
+
+ # avoid useless rust dependency
+ sed -i -e '/cryptography/s:>=3.4.6::' setup.py || die
+
+ # remove twisted plugin cache regen in setup.py
+ # to fix tinderbox sandbox issue
+ sed -e '/import/s:reactor:__importmustfail__:' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ rm -rf autobahn || die
+
+ einfo "Testing all, cryptosign using twisted"
+ local -x USE_TWISTED=true
+ "${EPYTHON}" -m twisted.trial autobahn || die "Tests failed with ${EPYTHON}"
+ unset USE_TWISTED
+
+ einfo "RE-testing cryptosign and component_aio using asyncio"
+ local -x USE_ASYNCIO=true
+ epytest --pyargs autobahn.wamp.test.test_wamp_{cryptosign,component_aio}
+ unset USE_ASYNCIO
+
+ rm -f twisted/plugins/dropin.cache || die
+}
+
+pkg_postinst() {
+ optfeature "C-based WebSocket acceleration" "dev-python/wsaccel"
+ optfeature "non-standard WebSocket compression support" \
+ "dev-python/python-snappy"
+ optfeature "accelerated WAMP serialization support" \
+ "dev-python/msgpack dev-python/ujson dev-python/cbor2 dev-python/flatbuffers dev-python/py-ubjson"
+ optfeature "TLS transport encryption" \
+ "dev-python/pyopenssl dev-python/pynacl dev-python/pytrie dev-python/qrcode dev-python/service-identity"
+ optfeature "WAMP-SCRAM authentication" \
+ "dev-python/cffi dev-python/argon2-cffi dev-python/passlib"
+ optfeature "native SIMD acceleration" "dev-python/cffi"
+
+ python_foreach_impl twisted-regen-cache
+}
+
+pkg_postrm() {
+ python_foreach_impl twisted-regen-cache
+}
diff --git a/dev-python/contourpy/contourpy-1.1.0.ebuild b/dev-python/contourpy/contourpy-1.1.0.ebuild
index 4000ca8db338..ca8b6d01a1bf 100644
--- a/dev-python/contourpy/contourpy-1.1.0.ebuild
+++ b/dev-python/contourpy/contourpy-1.1.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~ia64 ~riscv ~x86"
RDEPEND="
>=dev-python/numpy-1.16[${PYTHON_USEDEP}]
diff --git a/dev-python/django-cors-headers/Manifest b/dev-python/django-cors-headers/Manifest
index 0bbfe06848fe..75103948c692 100644
--- a/dev-python/django-cors-headers/Manifest
+++ b/dev-python/django-cors-headers/Manifest
@@ -1,2 +1,3 @@
DIST django-cors-headers-3.14.0.gh.tar.gz 29634 BLAKE2B 08ec6811b8608feecbdaadcc6ce220b1574a4bf16823f939f93eda4ece9df0430b015edc1d0909b980996ff143e036858ca81f524e8d270846881a9c0af25fac SHA512 5ff390bd2fba1b3dff3cea08b10021d0fd100497000b2eaef788fe32c1b8584f1954e470f4aa15cbcf9e4342265633a658b8736de08962bfe0ea9e2068521379
DIST django-cors-headers-4.0.0.gh.tar.gz 29641 BLAKE2B 20ff68bfb02d6992777967db35696a33afb91b264be1ebb3b67c15a9e2a51e0df948dae78b107bce16bc6eab2679d3ba910a9be89c8d7d137b64f7997fd2a400 SHA512 250ff2f9876d1d965611f495e0b67d4f93da9f05e0804bb8c02ec8390923eb1b7c775e4c76df8acf7d43d0f1401267f3795bc29fa7c5c8936a7aee1dae7336e5
+DIST django-cors-headers-4.1.0.gh.tar.gz 30733 BLAKE2B f3214008c51d656022c58bd0eb012200e07a29ec4052a4d3b75b2c52b4aee0e96b3ef8b30857dddc528cda609f691f0a9ef4f791837d1962ab561f42b840f814 SHA512 a4a1a39ab658968d5384a40a6aaf2e5c9a9047e43edc2ef7d4b9ea82a4e6cac6e69eb5e0b3736b9731442ff4efbe249ee56c7a3d05808e3fa0b45f6dee25999a
diff --git a/dev-python/django-cors-headers/django-cors-headers-4.1.0.ebuild b/dev-python/django-cors-headers/django-cors-headers-4.1.0.ebuild
new file mode 100644
index 000000000000..b61b6f274f9a
--- /dev/null
+++ b/dev-python/django-cors-headers/django-cors-headers-4.1.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django App that adds CORS (Cross-Origin Resource Sharing) headers to responses"
+HOMEPAGE="
+ https://github.com/adamchainz/django-cors-headers/
+ https://pypi.org/project/django-cors-headers/
+"
+SRC_URI="
+ https://github.com/adamchainz/django-cors-headers/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/django-rest-framework-guardian2/Manifest b/dev-python/django-rest-framework-guardian2/Manifest
new file mode 100644
index 000000000000..771e85729d43
--- /dev/null
+++ b/dev-python/django-rest-framework-guardian2/Manifest
@@ -0,0 +1 @@
+DIST django-rest-framework-guardian2-0.5.0.gh.tar.gz 9187 BLAKE2B 2a66c894ece4eb9ed3d39f764ce6f0d7522ac9c136d5c31367eeeeb275804d7094eed8a8e2b94e574efb8d16ec7793c43327c44471550acf6722a4210246fd7e SHA512 b34d8d02cd1181e4800e0125a7e41dd2a45b25cb15255921906e336fdaa0334c7ade89e57b918be778274054b6dc2d3297f8660dbc2ca9b65c2b2214d0e14386
diff --git a/dev-python/djangorestframework-guardian2/djangorestframework-guardian2-0.5.0.ebuild b/dev-python/django-rest-framework-guardian2/django-rest-framework-guardian2-0.5.0.ebuild
index c934fbd51bd5..c934fbd51bd5 100644
--- a/dev-python/djangorestframework-guardian2/djangorestframework-guardian2-0.5.0.ebuild
+++ b/dev-python/django-rest-framework-guardian2/django-rest-framework-guardian2-0.5.0.ebuild
diff --git a/dev-python/djangorestframework-guardian2/metadata.xml b/dev-python/django-rest-framework-guardian2/metadata.xml
index a2df676e20ae..a2df676e20ae 100644
--- a/dev-python/djangorestframework-guardian2/metadata.xml
+++ b/dev-python/django-rest-framework-guardian2/metadata.xml
diff --git a/dev-python/djangorestframework-guardian2/Manifest b/dev-python/djangorestframework-guardian2/Manifest
deleted file mode 100644
index 3123266e09f2..000000000000
--- a/dev-python/djangorestframework-guardian2/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST djangorestframework-guardian-0.5.0.gh.tar.gz 9187 BLAKE2B 2a66c894ece4eb9ed3d39f764ce6f0d7522ac9c136d5c31367eeeeb275804d7094eed8a8e2b94e574efb8d16ec7793c43327c44471550acf6722a4210246fd7e SHA512 b34d8d02cd1181e4800e0125a7e41dd2a45b25cb15255921906e336fdaa0334c7ade89e57b918be778274054b6dc2d3297f8660dbc2ca9b65c2b2214d0e14386
diff --git a/dev-python/flower/flower-1.2.0.ebuild b/dev-python/flower/flower-1.2.0.ebuild
index c70ecb8d63b7..5ede56dd3387 100644
--- a/dev-python/flower/flower-1.2.0.ebuild
+++ b/dev-python/flower/flower-1.2.0.ebuild
@@ -24,7 +24,7 @@ KEYWORDS="~amd64"
RDEPEND="
>=dev-python/django-1.11[${PYTHON_USEDEP}]
>=dev-python/celery-5.0.5
- >=dev-python/prometheus_client-0.8.0
+ >=dev-python/prometheus-client-0.8.0
dev-python/humanize
dev-python/pytz
>=dev-python/tornado-5.0.0
diff --git a/dev-python/gssapi/gssapi-1.8.2.ebuild b/dev-python/gssapi/gssapi-1.8.2-r1.ebuild
index a41f4606007d..95efb2cc9e36 100644
--- a/dev-python/gssapi/gssapi-1.8.2.ebuild
+++ b/dev-python/gssapi/gssapi-1.8.2-r1.ebuild
@@ -10,7 +10,10 @@ PYTHON_COMPAT=( python3_{7,8,9,10,11} )
inherit distutils-r1
DESCRIPTION="Low and high level wrappers around the GSSAPI C libraries"
-HOMEPAGE="https://github.com/pythongssapi/python-gssapi https://pypi.org/project/gssapi/"
+HOMEPAGE="
+ https://github.com/pythongssapi/python-gssapi/
+ https://pypi.org/project/gssapi/
+"
SRC_URI="
https://github.com/pythongssapi/python-gssapi/releases/download/v${PV}/python-${P}.tar.gz
-> ${P}.gh.tar.gz
@@ -27,7 +30,7 @@ RDEPEND="
"
BDEPEND="
- dev-python/cython[${PYTHON_USEDEP}]
+ <dev-python/cython-3[${PYTHON_USEDEP}]
virtual/krb5
test? (
dev-python/k5test[${PYTHON_USEDEP}]
diff --git a/dev-python/pyspnego/Manifest b/dev-python/pyspnego/Manifest
index d09fa6108153..c25dc2c00100 100644
--- a/dev-python/pyspnego/Manifest
+++ b/dev-python/pyspnego/Manifest
@@ -1 +1,2 @@
DIST pyspnego-0.9.0.tar.gz 233612 BLAKE2B 62047b84c5bcc5085e75abe167c6909f0a34a403c182f9bb03994e8e78768c4f1859e68b0e25d27271c6f686565c68d090a8825c0136a18e3443f734bee2f4db SHA512 4fa03d54ee47441a7255fb8b93b4616937ce96c76de4d8255ff48e60fff0112d6cd802458e151d4cf92f3710f7c415ea5499c460fb2f291155b3a1820ba37623
+DIST pyspnego-0.9.1.tar.gz 233824 BLAKE2B c36d2ee697ed9dcb7a3c7d3a3ec2bc58b88ac6ba5a020c852b4ba7d0a01d3dd4a3801d91a9456f3f4710684df16a3a4c7d449cfa58e141ae5085bef0f0fe6f21 SHA512 6c516cae43bff523ec19b6ef52e7691a688bada027a183b98e0121bdd4f44f887a5fa87f3ab173dff1e18d84a7886a2a04de80dbd6873cc1dafb1d7369a9d932
diff --git a/dev-python/pyspnego/pyspnego-0.9.1.ebuild b/dev-python/pyspnego/pyspnego-0.9.1.ebuild
new file mode 100644
index 000000000000..f01f99424f94
--- /dev/null
+++ b/dev-python/pyspnego/pyspnego-0.9.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Library to handle SPNEGO and CredSSP authentication"
+HOMEPAGE="
+ https://github.com/jborean93/pyspnego/
+ https://pypi.org/project/pyspnego/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/gssapi[${PYTHON_USEDEP}]
+ >=dev-python/krb5-0.3.0[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "Kerberos authentication" "dev-python/gssapi >=dev-python/krb5-0.3.0"
+ optfeature "YAML output support" "dev-python/ruamel-yaml"
+}
diff --git a/dev-python/semver/Manifest b/dev-python/semver/Manifest
index 0b5a5d593d7e..ac129a4d7351 100644
--- a/dev-python/semver/Manifest
+++ b/dev-python/semver/Manifest
@@ -1 +1,2 @@
DIST semver-3.0.0.tar.gz 204359 BLAKE2B 93aedd2e1884147546c064f6d0cf96d6a26c1591974bcefc0318eda90e01a73a99111babb9e6dc7f2b5c12b3cad94329dde7454c87891c9364d1fdbed5dee30a SHA512 b8b4299172f5a4325a309c686e5fee7339083fe2cba3852b69ff5ca355646d092d30ec1a3fe107ecb2f86c8845d4189d3d2c6f668c9df86ede69e995dcec93bb
+DIST semver-3.0.1.tar.gz 205762 BLAKE2B f2dbe25d321938bbfe32a21ad23ae62d4033a29c0155b138586e1b9e6d32c0c90e5859dbee0705f0726f616dda10a48b69201f1b7b26cfb4cecdbf3733d7a17d SHA512 93dd23a884eb9d64aca6285840f5fd6d7fe5e21abab37ca77a35118efba1fcca67b424a86db03dc32ae355a8593c184a4b0eb3f807ff35373b84c63dd823eb3d
diff --git a/dev-python/semver/semver-3.0.1.ebuild b/dev-python/semver/semver-3.0.1.ebuild
new file mode 100644
index 000000000000..fc8c94192b71
--- /dev/null
+++ b/dev-python/semver/semver-3.0.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python module for semantic versioning"
+HOMEPAGE="
+ https://github.com/python-semver/python-semver/
+ https://pypi.org/project/semver/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -o addopts=
+}
diff --git a/dev-python/service-identity/Manifest b/dev-python/service-identity/Manifest
new file mode 100644
index 000000000000..b3057f6174d0
--- /dev/null
+++ b/dev-python/service-identity/Manifest
@@ -0,0 +1,2 @@
+DIST service-identity-21.1.0.gh.tar.gz 35326 BLAKE2B c6c985db990f9a93b2954a596817b476e178fd5949a683aebe7506e56ed90a19f872f6c5caa5a7219c162cfd43924e0a3cdb36a666aca01b28736f0927ae72b2 SHA512 6375bc5e8329118b2beb163ffffecc1479839e4e98173576e4737deebcc4c057ac357315976d3f53a280defd4e2c1f6b74e9604ec1aa94144240c2fb4bf07461
+DIST service_identity-23.1.0.tar.gz 39840 BLAKE2B d4445cce42e9dba3ae192b05b3f66daab72cefe521c299837a73af84ff2705060580e3a052af01ba9abad820d3d252804050d8e3b2220dad48252832db8a90fa SHA512 bc53f563050811a2b40dbfcf1e0a1b1b5677e2b48ed4e94e37d29735baea49ed7a7099d656444c0054fa2c23ae96026e67919cf24b01a3ae6b3549fd25dfe4d1
diff --git a/dev-python/service_identity/metadata.xml b/dev-python/service-identity/metadata.xml
index ea8988e8af6a..ea8988e8af6a 100644
--- a/dev-python/service_identity/metadata.xml
+++ b/dev-python/service-identity/metadata.xml
diff --git a/dev-python/service_identity/service_identity-21.1.0-r1.ebuild b/dev-python/service-identity/service-identity-21.1.0-r1.ebuild
index 89c59a4dc382..c8832d06d124 100644
--- a/dev-python/service_identity/service_identity-21.1.0-r1.ebuild
+++ b/dev-python/service-identity/service-identity-21.1.0-r1.ebuild
@@ -8,6 +8,7 @@ PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
inherit distutils-r1
+MY_P=${P/_/-}
DESCRIPTION="Service identity verification for pyOpenSSL"
HOMEPAGE="
https://github.com/pyca/service-identity/
@@ -15,9 +16,9 @@ HOMEPAGE="
"
SRC_URI="
https://github.com/pyca/service-identity/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
+ -> ${MY_P}.gh.tar.gz
"
-S=${WORKDIR}/${P/_/-}
+S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
diff --git a/dev-python/service-identity/service-identity-23.1.0.ebuild b/dev-python/service-identity/service-identity-23.1.0.ebuild
new file mode 100644
index 000000000000..adfa332d3722
--- /dev/null
+++ b/dev-python/service-identity/service-identity-23.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Service identity verification for pyOpenSSL"
+HOMEPAGE="
+ https://github.com/pyca/service-identity/
+ https://pypi.org/project/service-identity/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+ >=dev-python/attrs-19.1.0[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/service_identity/Manifest b/dev-python/service_identity/Manifest
deleted file mode 100644
index 3746efcdfefb..000000000000
--- a/dev-python/service_identity/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST service_identity-21.1.0.gh.tar.gz 35326 BLAKE2B c6c985db990f9a93b2954a596817b476e178fd5949a683aebe7506e56ed90a19f872f6c5caa5a7219c162cfd43924e0a3cdb36a666aca01b28736f0927ae72b2 SHA512 6375bc5e8329118b2beb163ffffecc1479839e4e98173576e4737deebcc4c057ac357315976d3f53a280defd4e2c1f6b74e9604ec1aa94144240c2fb4bf07461
diff --git a/dev-python/sphinx_lv2_theme/sphinx_lv2_theme-1.4.0.ebuild b/dev-python/sphinx_lv2_theme/sphinx_lv2_theme-1.4.0.ebuild
index a0650c0e3660..c8d7186b607a 100644
--- a/dev-python/sphinx_lv2_theme/sphinx_lv2_theme-1.4.0.ebuild
+++ b/dev-python/sphinx_lv2_theme/sphinx_lv2_theme-1.4.0.ebuild
@@ -18,4 +18,4 @@ S="${WORKDIR}/${PN}-v${PV}"
LICENSE="ISC"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86"
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 3fccb91d7248..bbb7521c2dd8 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1 +1,2 @@
DIST translate-3.8.6.gh.tar.gz 1158560 BLAKE2B 127083188e3f25551e1a55b4499fb2247e7fb7c751d813f6a78491ec2f1e457e0c18d3416cf05533d11e36201b36814054f4eaf94693d04351a0928a0347fa98 SHA512 271b34ac44835af2e50537ec5a6a5d4dff497fd3358fe53c92e800109a347206d544f71bee7181ec335736a462578913262ddfbb27d4bcef39f247338bc99134
+DIST translate-3.9.1.gh.tar.gz 1175717 BLAKE2B 4d41b3de15de1f1611f5fbe05448c21943a5be3756af7594bd18a1f2da1c231dd2697d62a074cd6fec078a5178fb1116e359c720aa585fdb982b3f17afad62db SHA512 d38912046d522f0910149cea9a620f4378978bdff1366372681fa143f23764cf7c4d287fbc8713169d56f5d95c7048cfd34ab0ec560ca6dafbd18b45284d75eb
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.9.1.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.9.1.ebuild
new file mode 100644
index 000000000000..1db366c13613
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.9.1.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="
+ https://github.com/translate/translate/
+ https://pypi.org/project/translate-toolkit/
+"
+SRC_URI="
+ https://github.com/translate/translate/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+
+RDEPEND="
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/Levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pycountry-19.8.18[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+# Technically, the test suite also has undeclared dependency
+# on dev-python/snapshottest but all the tests using it are broken
+# anyway, so we skip them.
+BDEPEND="
+ test? (
+ dev-python/phply[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # unfortunately, this bad quality package doesn't support XDG_DATA_DIRS
+ # correctly, so we need to reassemble all data files in a single directory
+ local -x XDG_DATA_HOME=${T}/share
+ cp -r translate/share "${T}/" || die
+ cp -r "${ESYSROOT}/usr/share"/gaupol "${XDG_DATA_HOME}"/ || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ # all tests based on snapshottest are broken and I'm too tired
+ # to figure this out
+ translate/tools/test_pocount.py::test_cases
+ translate/tools/test_pocount.py::test_output
+ translate/tools/test_junitmsgfmt.py::test_output
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ translate/storage/test_fluent.py
+ # changes directory and does not change it back, sigh
+ tests/odf_xliff/test_odf_xliff.py
+ )
+
+ if ! use ini; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ insinto /usr
+ doins -r translate/share
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+}
diff --git a/dev-python/trustme/trustme-1.0.0.ebuild b/dev-python/trustme/trustme-1.0.0.ebuild
index ab77b6c83cf7..23189fd43644 100644
--- a/dev-python/trustme/trustme-1.0.0.ebuild
+++ b/dev-python/trustme/trustme-1.0.0.ebuild
@@ -25,7 +25,7 @@ RDEPEND="
BDEPEND="
test? (
dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/service_identity[${PYTHON_USEDEP}]
+ dev-python/service-identity[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/twisted/twisted-22.10.0-r1.ebuild b/dev-python/twisted/twisted-22.10.0-r1.ebuild
index 64667d288d33..05fca9daa114 100644
--- a/dev-python/twisted/twisted-22.10.0-r1.ebuild
+++ b/dev-python/twisted/twisted-22.10.0-r1.ebuild
@@ -48,7 +48,7 @@ RDEPEND="
)
ssl? (
>=dev-python/pyopenssl-21.0.0[${PYTHON_USEDEP}]
- >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
>=dev-python/idna-2.4[${PYTHON_USEDEP}]
)
"
@@ -71,7 +71,7 @@ BDEPEND="
)
ssl? (
>=dev-python/pyopenssl-21.0.0[${PYTHON_USEDEP}]
- >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
)
' python3_{8..10} pypy3)
$(python_gen_cond_dep '
diff --git a/dev-python/twisted/twisted-22.10.0-r3.ebuild b/dev-python/twisted/twisted-22.10.0-r3.ebuild
index 5ca656ea3c98..a677087f6e35 100644
--- a/dev-python/twisted/twisted-22.10.0-r3.ebuild
+++ b/dev-python/twisted/twisted-22.10.0-r3.ebuild
@@ -49,7 +49,7 @@ RDEPEND="
)
ssl? (
>=dev-python/pyopenssl-21.0.0[${PYTHON_USEDEP}]
- >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
>=dev-python/idna-2.4[${PYTHON_USEDEP}]
)
"
@@ -72,7 +72,7 @@ BDEPEND="
)
ssl? (
>=dev-python/pyopenssl-21.0.0[${PYTHON_USEDEP}]
- >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
)
' "${PYTHON_TESTED[@]}")
$(python_gen_cond_dep '
diff --git a/dev-python/wurlitzer/wurlitzer-3.0.3.ebuild b/dev-python/wurlitzer/wurlitzer-3.0.3.ebuild
index 79cb6ed24044..477ce4c84398 100644
--- a/dev-python/wurlitzer/wurlitzer-3.0.3.ebuild
+++ b/dev-python/wurlitzer/wurlitzer-3.0.3.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 x86"
+KEYWORDS="amd64 ~ia64 ~riscv x86"
distutils_enable_tests pytest
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 91a843461455..bd181d797126 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1,2 +1,3 @@
DIST xmlschema-2.2.3.tar.gz 493444 BLAKE2B 64b8cbc27fe0378cc0a90e110f5c816a25f8b67b61b12363b200035cdc60ba1492923589a8b2b8d3c8a20ecaef85c6acb3c448a377d793efe87f7ad7a6a95bc3 SHA512 978f48d1d79cc8c4f3eab22fd2396da24abd42ea5d36439b72a7783d59e17863b647039a3a058513efd170e78c340705d5729dabd28aa8c26b0c4b2133a67222
DIST xmlschema-2.3.0.tar.gz 494204 BLAKE2B 96daf1753ec8430fd2be892086a2b7cbb730729e407723845b6fc94175e1a6137df660fce0282ff0940903fe14d87dfbc14a4822ee8bd505861c142fadcc6cff SHA512 1e5a0f36e4e456ac49d808aa3480a68aa269296780a6d1dfa9e2cc8b3616971ba06abf632c1ff51eee0d6f0654d22ba5d1fa805fda81c6e3cfaa33fbc6301267
+DIST xmlschema-2.3.1.tar.gz 494834 BLAKE2B 2438a57f0b07aa5b0f9871bd6a4f64a90a7946ef3deb89b8e12736c52f185a3f4406ff5e894cd7b330600f82e55f6470a32769ed06e4ce85e914dc9808d5091c SHA512 6a08db7cc8f719f2b6d2b8c8478aa35b4fae72bd3c595a2ac9d39c6be6f75a3cdbf696f9e7424d3122d618a4bffc6bfddd5600daa8e0a64db5474fe95659c706
diff --git a/dev-python/xmlschema/xmlschema-2.3.1.ebuild b/dev-python/xmlschema/xmlschema-2.3.1.ebuild
new file mode 100644
index 000000000000..dc5b5b48533d
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-2.3.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+ https://github.com/sissaschool/xmlschema/
+ https://pypi.org/project/xmlschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/elementpath-5[${PYTHON_USEDEP}]
+ >=dev-python/elementpath-4.1.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v || die "Tests fail with ${EPYTHON}"
+}